Bug 104975 - PERCENTRANK function - parameter Significance
Summary: PERCENTRANK function - parameter Significance
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-29 12:54 UTC by raal
Modified: 2017-01-11 20:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Percentrank in the Formula Wizard (47.10 KB, image/png)
2016-12-30 22:04 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-12-29 12:54:35 UTC
Description:
Percentrank in actual help:
Syntax
PERCENTRANK(Data; Value)

ODFF specification:
Syntax: PERCENTRANK( NumberSequenceList Data ; Number X [ ; Integer Significance = 3 ] )

parameter Significance not mentioned.

ODFF spec:
https://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part2.html#__RefHeading__1018738_715980110

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Julien Nabet 2016-12-29 13:43:28 UTC
Gabor: one for you?
Comment 2 Gabor Kelemen 2016-12-30 21:49:52 UTC
Sure thing.
Comment 3 Commit Notification 2016-12-30 21:51:16 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=fa16e1bbf6540d59e4c8890939e66be82ad1af0d

tdf#104975 Document Significance parameter of PERCENTRANK
Comment 4 Gabor Kelemen 2016-12-30 22:04:00 UTC
Created attachment 130042 [details]
Percentrank in the Formula Wizard

A problem left is that the Formula Wizard still does not always know about the third parameter. This is on 5.4 master.
Comment 5 Gabor Kelemen 2017-01-11 20:13:59 UTC
Let me close this and continue with the Formula Wizard problem in a different bug.